const express = require('express');
const cookieParser = require('cookie-parser');
const bodyParser = require('body-parser');
const session = require('express-session');

const app = express();
const dataCollector = [];
app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: false }));
app.use(cookieParser());
app.use(session({
  secret: 'm4F3ePd452Ds45GdvnwDfe35gF',
  saveUninitialized: true,
  resave: true,
}));

app.post('/log', (req, res) => {
  dataCollector.push(req.body);
  res.send('approved');
});

app.set('port', 3002);
const server = app.listen(app.get('port'), () => {
  console.log(`Server started on port ${app.get('port')}`);
});

module.exports = {
  app,
  server,
  dataCollector,
};
